using Microsoft.Extensions.Configuration;
using Siger.CommonUtil;
using Siger.Schedule.AccModule;
using System;
using System.IO;
using Xunit;

namespace Siger.UnitTest
{
    public class AccUnitTest
    {
        static AccUnitTest()
        {
            IConfiguration config = new ConfigurationBuilder()
                .AddJsonFile(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, @"appsettings.json"))
                .Build();
            ConfigFactory.InitConfigByContent(config);
        }
            

        [Fact]
        public void AccCalculatePushTest()
        {
            AccCalculateTrace push = new AccCalculateTrace();
            push.PreInit(null);
            push.Execute(null);
            push.AfterExecute(null);
        }
    }
}
